Loading...
Searching...
No Matches
L4virtio::Svr::Virtqueue::Head_desc Class Reference

VIRTIO request, essentially a descriptor from the available ring. More...

`#include <virtio>`

Collaboration diagram for L4virtio::Svr::Virtqueue::Head_desc:

## Public Member Functions

| Head_desc ()
| Make invalid (NULL) request.
bool | valid () const
| operator bool () const
Desc const * | desc () const

## Detailed Description

VIRTIO request, essentially a descriptor from the available ring.

Definition at line 93 of file virtio.

## Member Function Documentation

## desc()

Desc const * L4virtio::Svr::Virtqueue::Head_desc::desc | ( |  | ) | const

inline

Returns
  Pointer to the head descriptor of the request.

Definition at line 112 of file virtio.

Referenced by L4virtio::Svr::Request_processor::start().

Here is the caller graph for this function:

## operator bool()

L4virtio::Svr::Virtqueue::Head_desc::operator bool | ( |  | ) | const

inlineexplicit

Returns
  True if the request is valid (not NULL).

Definition at line 108 of file virtio.

References valid().

Here is the call graph for this function:

## valid()

bool L4virtio::Svr::Virtqueue::Head_desc::valid | ( |  | ) | const

inline

Returns
  True if the request is valid (not NULL).

Definition at line 105 of file virtio.

Referenced by operator bool(), and L4virtio::Svr::Console::Device::port_read().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- l4/l4virtio/server/virtio